<template>
  <div :class="{row: true, special}">
    <h2 class="column column--title" v-if="item.title">
      {{ item.title }}
    </h2>
    <h2 class="column column--second" v-if="secondColumn">
      {{ secondColumn }}
    </h2>
    <div class="actions">
      <Button type="text" color="dark" round size="sm" light class="edit" @click.native="$router.push(`${baseEditPath}/${item.id}`)">
        <template #icon>
          <EditIcon />
        </template>
      </Button>
      <InlineDeleteButton @delete="onDelete" :disabled="disabled" />
    </div>
  </div>
</template>

<script>
import Button from "@/components/base/Button";
import EditIcon from "@/assets/svgs/edit.svg";
import InlineDeleteButton from "@/components/base/InlineDeleteButton";

export default {
  name: "Category",
  components: {
    Button,
    EditIcon,
    InlineDeleteButton
  },
  props: {
    item: {
      type: Object,
      required: true
    },
    baseEditPath: {
      type: String,
      required: true
    },
    secondColumn: {
      type: String,
      default: ""
    },
    disabled: {
      type: Boolean,
      default: false
    },
    special: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    onDelete() {
      this.$emit('delete', this.item.id);
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.row
  display flex
  align-items center
  padding $xsm
  @media only screen and (max-width 600px) 
    padding $xsm 0
  &:not(:last-of-type)
    border-bottom 1px solid rgba(black, .1)
  &:hover
    background-color rgba(black, .03)
  &.special
    & .column
      font-weight 600
      color $black

.actions
  display flex
  margin-right auto

.edit
  margin-left $xsm

.column
  font-size $font-size
  color $black
  font-weight 400
  direction rtl
  text-align right
  width 20rem
  &:not(:first-child)
    margin-right $sm
  &--title
    font-size 1.8rem
  &--second
    @media only screen and (max-width 500px)
      display none
    
</style>